unit PrinterConfigPropertyEditor;

interface

uses
 classes,
 Designintf,
  DesignEditors;
type
  TPrinterNameEditor = class( TStringProperty)

  public


    function GetAttributes: TPropertyAttributes; override;
    procedure Edit; override;
  end;


implementation
uses Vcl.Printers,Vcl.Dialogs;



{ TPrintConfigEditor }


procedure TPrinterNameEditor.Edit;
var aPrintDialog :TPrintDialog;
var aPrinterName : string;
begin
  inherited;
   aPrintDialog := TPrintDialog.Create(Nil);
   aPrintDialog.Execute();
   aPrinterName := Printer.Printers[Printer.PrinterIndex];

     SetStrValue(aPrinterName);
     aPrintDialog.Free;

end;

function TPrinterNameEditor.GetAttributes: TPropertyAttributes;
begin
      Result := [paDialog, paAutoUpdate];
end;

end.
